Bug 175190 - [PATCH] sysutils/multitail: update to 5.2.11
[PATCH] sysutils/multitail: update to 5.2.11
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Beat Gaetzi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 04:20 UTC by linpc
Modified: 2013-01-20 19:10 UTC (History)
1 user (show)

See Also:


Attachments
multitail-5.2.11.patch (2.18 KB, patch)
2013-01-11 04:20 UTC, linpc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpc 2013-01-11 04:20:00 UTC
- Update to 5.2.11
- Add fossies.org to MASTER_SITES
- Move LICENSE section to make portlint(1) happier
- Add patch to replace deprecated header file (sys/termios.h)
- Switch to OptionsNG & new Makefile header form
Comment 1 Edwin Groothuis freebsd_committer 2013-01-11 04:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-01-20 19:03:29 UTC
Author: beat
Date: Sun Jan 20 19:03:20 2013
New Revision: 310715
URL: http://svnweb.freebsd.org/changeset/ports/310715

Log:
  - Update to 5.2.12
  - Add additional MASTER_SITE
  - Pet portlint
  - Switch to OptionsNG
  - Trim Makefile header
  
  PR:		ports/175190 (based on)
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/sysutils/multitail/Makefile
  head/sysutils/multitail/distinfo

Modified: head/sysutils/multitail/Makefile
==============================================================================
--- head/sysutils/multitail/Makefile	Sun Jan 20 19:02:42 2013	(r310714)
+++ head/sysutils/multitail/Makefile	Sun Jan 20 19:03:20 2013	(r310715)
@@ -1,37 +1,36 @@
-# New ports collection makefile for:	multitail
-# Date created:				10 April 2003
-# Whom:					Oliver Braun <obraun@FreeBSD.org>
-#
+# Created by: Oliver Braun <obraun@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	multitail
-PORTVERSION=	5.2.9
+PORTVERSION=	5.2.12
 CATEGORIES=	sysutils
-MASTER_SITES=	http://www.vanheusden.com/multitail/
+MASTER_SITES=	http://www.vanheusden.com/multitail/ \
+		http://fossies.org/unix/privat/
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	beat@FreeBSD.org
 COMMENT=	Tail multiple files on console with ncurses
 
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt
+
 USE_GMAKE=	yes
 
 MAN1=		multitail.1
 PLIST_FILES=	bin/multitail etc/multitail.conf.sample
 PORTDOCS=	readme.txt license.txt
 
-LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/license.txt
+.include <bsd.port.options.mk>
 
 post-patch:
 	@${REINPLACE_CMD} -e 's,/etc/multitail.conf,${PREFIX}/etc/multitail.conf,' \
-		${WRKSRC}/mt.c  ${WRKSRC}/Makefile
+		${WRKSRC}/mt.c ${WRKSRC}/Makefile
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/multitail ${PREFIX}/bin/
 	${INSTALL_MAN} ${WRKSRC}/multitail.1 ${MANPREFIX}/man/man1
 	${INSTALL_DATA} ${WRKSRC}/multitail.conf ${PREFIX}/etc/multitail.conf.sample
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/readme.txt ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/license.txt ${DOCSDIR}

Modified: head/sysutils/multitail/distinfo
==============================================================================
--- head/sysutils/multitail/distinfo	Sun Jan 20 19:02:42 2013	(r310714)
+++ head/sysutils/multitail/distinfo	Sun Jan 20 19:03:20 2013	(r310715)
@@ -1,2 +1,2 @@
-SHA256 (multitail-5.2.9.tgz) = b90c65e061d4fe5a8c36dd478d3e618eba42ae4abb5570dde063e9d66e9397f3
-SIZE (multitail-5.2.9.tgz) = 165013
+SHA256 (multitail-5.2.12.tgz) = 681d87cd49e11aab1d82ad7818ee639c88a3d305db8accf0859977beda6c493c
+SIZE (multitail-5.2.12.tgz) = 163735
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Beat Gaetzi freebsd_committer 2013-01-20 19:04:11 UTC
State Changed
From-To: open->closed

Update to 5.2.12 committed. Thanks!